main.c File Reference
`#include "ruby.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

RUBY_GLOBAL_SETUP int | main (int argc, char **argv)

## Function Documentation

RUBY_GLOBAL_SETUP int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 25 of file main.c.

References utimbuf::actime, argc, backup_f, backup_suffix, binmode_f, debug_f, dup2(), FALSE, file_out_f, fileno, get_backup_filename(), getenv(), guess_f, i, iconv_for_check, input_codename, input_eol, IOBUF_SIZE, kanji_convert(), mime_f, utimbuf::modtime, nkf_state_init(), nkf_xfree, nkf_xmalloc(), noconvert(), nop_f, NULL, options(), overwrite_f, preserve_time_f, print_guessed_code(), reinit(), ruby_init(), RUBY_INIT_STACK, ruby_options(), ruby_run_node, ruby_set_debug_option(), ruby_sysinit, setbinmode, setvbuffer, stat, stdibuf, stdobuf, strlen(), time_t, TRUE, unbuf_f, x0212_f, and x0213_f.